@import 'dist/jquery.fancybox.css';
@import 'menu.css';
@import 'https://fonts.googleapis.com/css?family=Open+Sans|Gilda+Display';




/* CORE STYLES */
:root {
    --green: #24761c;
     --white: #fff;
    --grey: #444;
 	--black: #000;
    --pale: rgba(255,255,255,0.7);
    --greylayer: rgba(0,0,0,0.2);
    --darkerlayer: rgba(0,0,0,0.5);
    --greengradient:  linear-gradient(325deg, rgba(20,56,16,1) 0%, rgba(64,112,59,1) 24%, rgba(52,138,44,1) 100%); 
  }










body{
    margin: 0;
    font-family: Open Sans, Arial, Helvetica, sans-serif;
    color: var(--white);
    background-color: var(--grey);
    position: relative;
}
a{
    color: var(--white); 
}
h1{
    font-size: 52px;
    font-weight: 400;
    font-family: Gilda Display, 'Times New Roman', Times, serif;
}
img{
    max-width: 100%;
}
table{
    border-collapse: collapse;
    width: 100%;
}
table p{
    padding: 0;
    margin: 0; 
}
td{
    vertical-align: top;
    padding: 5px;
    border-bottom: 1px dashed var(--darkerlayer);
}
main:not(.admin) td:last-child{
    text-align: right;
}
.container{
    margin: auto;
    display: grid;
}
.grid{
    display: grid;
    gap: 10px; 
}

.sidebar{
	background: var(--greengradient);
	color: #fff;
	text-align:center;
	position: relative; 
    background-attachment: fixed;
    
}
.sidebar img{
	width: 200px; 
	margin: 50px auto; 
	
}
main > div{
    max-width: 900px;
    margin: 0 auto;
    line-height: 1.8;
    padding: 2vw 3vw;
    font-size: 17px; 
}
main > div > h1{
    margin: 0; 
}
.page {
	height: min(700px,80vh);
	margin: auto;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center center;
}
.darker{
    background-color: var(--darkerlayer);
}
main:last-of-type{
    background-color: var(--greylayer);
}
.picturegrid{
	gap: 10px;
    margin: 10px auto; 
}
.picturegrid > div{
    aspect-ratio: 3/2;
	overflow: hidden;
	text-align: center;
    position: relative;
}
.picturegrid img{
    height: 100%;
    object-fit: cover;
	aspect-ratio: 3/2;
}
.picturegrid .portrait, 
.picturegrid .portrait img{
    aspect-ratio: unset;
}
.picturegrid > div > div{
    position: absolute;
    z-index: 1;
    inset: auto 0 0 0; 
    min-height: 50px;
    background-color: var(--darkerlayer);
    color: var(--white); 
    text-align: center;
    padding: 1rem; 
}
main.admin, 
main.admin > div{
    width: auto;
    max-width: none;
}
.iw{
    text-align: right;
    padding: 10px;
    font-size: 12px;
    max-width: none;
}
.iw a{
    text-decoration: none;
    color: var(--pale);
}
#loginbox{
	max-width: 600px;
	margin: 50px auto;
}
.contactform{
	border-radius: 10px; 
	padding: 20px; 
}
.pictures2{
	display: flex;
 	flex-flow: row wrap;
    justify-content: center;
	gap: 10px; 
}
.pictures2 > div {
	flex: 1 1 auto;
	width: 250px;
	height	: 180px;
	max-width: 300px;
	position: relative;
}
.pictures2 > div.smallpic img{
	object-fit: none ;

    justify-content: center;
}
.pictures2 > div img{
	object-fit: cover ;
	width: 100%;
	height:  100%;
    display: grid;
}
.pictures2 > div a{
	color: transparent; 
}
.pictures2 .textbox {
	position: absolute;
	width: calc( 100% - 20px ); 
	color: #fff;
	background-color: var(--darkerlayer);
	z-index: 2;
	bottom: 0;
	padding: 10px;
	line-height: 170%; 
	transition: 0.4s; 
	height: 60px; 
	overflow: hidden;
}
.pictures2 .textbox a{
	color: #fff; 
	display: block; 
	height: 100%; 
    text-decoration: none;
}
.pictures2 > div:hover  .textbox{
	background-color: var(--darkerlayer);
	height: calc( 100% - 20px ); 
}
div:has(>iframe) {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}
div:has(>iframe) iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}




@media only screen and ( min-width: 800px ) {
.container{
    grid-template-columns: auto minmax(250px, 20vw) ;
    height: 100vh;
}
.mobile{ 
    display: none; 
}

.picture img{
	width: 100%; 
}
.page{
    display: flex;
    justify-content: center;
    align-items: center;
}
.page h1{
    font-size: max(100px, 10vw); 
    color: var(--pale);
    text-align: center;
    /* max-width: 900px; */

}
.picturegrid{
    grid-template-columns: 1fr 1fr 1fr;
}
.picturegrid:has(.portrait) {
    grid-template-columns: 1fr 1fr 1fr 1fr;
}
.contactform input:not([type="submit"]):not([type="checkbox"]),
	.contactform textarea {
		outline: 3px solid transparent !important;
		width: 210px; 
	 
	}
	.contactform:focus-within input:not([type="submit"]):invalid,
	.contactform:focus-within textarea:invalid {
		outline: 3px solid red !important;
		margin-bottom: 0; 
	}
	.contactform:focus-within input:not([type="submit"]):valid,
	.contactform:focus-within textarea:valid {
		outline: 3px solid green !important;
		margin-bottom: 0; 
	}
	.contactform:focus-within, .contactdiv > div:focus-within {
		background-color: var(--lightorange);
		/* color: var(--white); */
	}
	.newpassword {
		position: relative; 
	}
	input.newpassword:invalid::after{
	  content: "more than 8 characters, must contatin one upper case, one lower case, one number";
		position: absolute;
		top: 0;
		left: 0;
		z-index: 2;
		background-color: red;
		color: #fff;
		padding: 10px; 
	}
	input, textarea, select {
		font-family: "Open Sans", Calibri, "Trebuchet MS", Arial, Helvetica, sans-serif, Sans;
		font-size: 15px;
		border-radius: 5px;
		padding: 7px;
		background-color: var(--white);
		color:var(--grey);
	} 
	.form{
        grid-template-columns: 1fr 1fr ;
        display: grid;
        gap: 10px; 
    }
	.colspan2{
		grid-column: 1 / span 2;
		border-top: 1px solid var(--grey);
	}
}
.social img{
    margin: 0 1rem 0 0;
}



@media only screen and ( min-width: 600px ) {
.fourcols{
    grid-template-columns: auto auto auto auto;
    gap: 0;
}
.fourcols > div:nth-of-type(8n+1),
.fourcols > div:nth-of-type(8n+2),
.fourcols > div:nth-of-type(8n+3),
.fourcols > div:nth-of-type(8n+4){
    background-color: var(--darkerlayer);
}
.fourcols > div{
    padding: 0.5rem;
}
}



@media only screen and ( max-width: 799px ) {
    .sidebar{
        grid-row: 1/2;
    }
    .page h1{ 
        display: none; 
    }
}


@media only screen and ( max-width: 600px ) {
    h1{
        font-size: 40px; 
    }
    .darker .fourcols>div:nth-of-type(4n){
        border-bottom: 1px dashed var(--white); 
    }
    .pictures2 > div{
        max-width: 100%; 
        border-right: 0;
        border-left: 0; 
        height: auto; 
    }
    .pictures2 {
        border: 0; 
    }
    .pictures2 img{
        height: auto; 
    }
}



@media only screen and ( max-width: 400px ) {
    tr, td,
    main:not(.admin) td:last-child{
        display: block;
        text-align: left;
    }
}



@media only screen and (min-height: 900px) {
.sidebar > div {
  position: sticky;
  top: 0px;
}
}